﻿--
-- ModMission01
--
-- Copyright (C) 2010 Blackburner

ModMission01 = {};

local ModMission01_mt = Class(ModMission01, DCBaseMission);

function ModMission01:new(baseDirectory)
    local self = ModMission01:superClass():new(baseDirectory, ModMission01_mt);


    return self;
end;

function ModMission01:delete()
    -- delete mission specific stuff here
    ModMission01:superClass().delete(self);
end;

function ModMission01:load()

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_town01.i3d", self.baseDirectory));
    setAmbientColor(115/255, 115/255, 125/255);
    setFog("exp", 0.001, 1, 90/255, 90/255, 95/255);

    self:loadMissionXML(Utils.getFilename("ModMission01.xml", self.baseDirectory));

	self.walkableHouse06Event = self.events["walkableHouse06Destroyed"];
    self.walkableHouse06Triggered = false;    
	self.walkableHouse07Event = self.events["walkableHouse07Destroyed"];
    self.walkableHouse07Triggered = false;
	
    ModMission01:superClass().load(self);
end;

function ModMission01:mouseEvent(posX, posY, isDown, isUp, button)
    ModMission01:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ModMission01:keyEvent(unicode, sym, modifier, isDown)
    ModMission01:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ModMission01:update(dt) 
    ModMission01:superClass().update(self, dt); 
     if self.isRunning then 
        if self.state == BaseMission.STATE_INTRO then 
            self.state = BaseMission.STATE_RUNNING; 
        elseif self.state == BaseMission.STATE_RUNNING then 

            if (not self.walkableHouse06Triggered and self.walkableHouse06Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse06CompleteCaption"), g_i18n:getText("walkableHouse06CompleteMessage"), 10000, 1000); 
                self.walkableHouse06EventTriggered = true; 
            end; 
            if (not self.walkableHouse07Triggered and self.walkableHouse07Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse07CompleteCaption"), g_i18n:getText("walkableHouse07CompleteMessage"), 10000, 1000); 
                self.walkableHouse07EventTriggered = true; 
            end;
        end; 
    end; 
end;

function ModMission01:draw()
    ModMission01:superClass().draw(self);

    if self.isRunning then
       -- draw GUI stuff
    end;

end;