﻿--
-- ModMission03
--
-- Copyright (C) 2010 Blackburner

ModMission03 = {};

local ModMission03_mt = Class(ModMission03, DCBaseMission);

function ModMission03:new(baseDirectory)
    local self = ModMission03:superClass():new(baseDirectory, ModMission03_mt);

    return self;
end;

function ModMission03:delete()
    -- delete mission specific stuff here
    ModMission03:superClass().delete(self);
end;

function ModMission03:load()

    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_town01.i3d", self.baseDirectory));
    setAmbientColor(115/255, 115/255, 125/255);
    setFog("exp", 0.001, 1, 90/255, 90/255, 95/255);

    self:loadMissionXML(Utils.getFilename("ModMission03.xml", self.baseDirectory));

    self.walkableHouse01Event = self.events["walkableHouse01Destroyed"];
    self.walkableHouse01Triggered = false;
    self.walkableHouse02Event = self.events["walkableHouse02Destroyed"];
    self.walkableHouse02Triggered = false; 

    ModMission03:superClass().load(self);
end;

function ModMission03:mouseEvent(posX, posY, isDown, isUp, button)
    ModMission03:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function ModMission03:keyEvent(unicode, sym, modifier, isDown)
    ModMission03:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function ModMission03:update(dt) 
    ModMission03:superClass().update(self, dt); 
     if self.isRunning then 
        if self.state == BaseMission.STATE_INTRO then 
            self.state = BaseMission.STATE_RUNNING; 
        elseif self.state == BaseMission.STATE_RUNNING then 
            if (not self.walkableHouse01Triggered and self.walkableHouse01Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse01CompleteCaption"), g_i18n:getText("walkableHouse01CompleteMessage"), 10000, 1000); 
                self.walkableHouse01EventTriggered = true; 
            end; 

            if (not self.walkableHouse02Triggered and self.walkableHouse02Event.isTriggered) then 
                self.inGameMessage:showMessage(g_i18n:getText("walkableHouse02CompleteCaption"), g_i18n:getText("walkableHouse02CompleteMessage"), 10000, 1000); 
                self.walkableHouse02EventTriggered = true; 
            end; 
        end; 
    end; 
end;

function ModMission03:draw()
    ModMission03:superClass().draw(self);

    if self.isRunning then
       -- draw GUI stuff
    end;

end;